### Struct

# Gimp Matrix4

#### Description [src]

    struct GimpMatrix4 {
      gdouble coeff[16];
    }

A four by four matrix.

###### Structure members

`coeff:` `gdouble`

  The coefficients.

#### Instance methods

###### gimp_matrix4_identity

Sets the matrix to the identity matrix.

since: 2.10.16

###### gimp_matrix4_mult

Multiplies two matrices and puts the result into the second one.

since: 2.10.16

###### gimp_matrix4_to_deg

No description available.

###### gimp_matrix4_transform_point

Transforms a point in 3D as specified by the transformation matrix.

since: 2.10.16